Forum Stats

  • 3,852,824 Users
  • 2,264,140 Discussions
  • 7,905,154 Comments

Discussions

Problem: Dev 10g VM with DB 11g XE

SmithJohn45
SmithJohn45 Member Posts: 697 Silver Badge
edited Sep 19, 2022 9:20AM in Forms

have Win 7 VM (64 bit) 4GB, installed Oracle Database 11g XE, Oracle Developer Suite 10g (with compatibility mode Windows XP SP3). followed a guide on the net.

now, how i can configure to run Forms & Report locally from withing Forms & Reports developer and directly with a shortcut on desktop.

i knew its very old but requesting to please guide or give a link to the guide.

note: first i have installed Java 6u45 but when installed Dev10g now java version is showin 1.4.2_06

regards

Best Answer

  • Michael Ferrante-Oracle
    Michael Ferrante-Oracle Senior Principal Product Manager USMember Posts: 7,392 Employee

    If for some reason you must remain on 10.1.2, which I don't recommend, then you should at least install the latest/last patch for this version. This will bring you up to 10.1.2.3.

    The patch is ID 5983622 and can only be downloaded in MyOracleSupport (https://support.oracle.com). A current Support account is required.


    Michael Ferrante

    Senior Principal Product Manager

    Oracle

    Twitter: @OracleFormsPM

    SmithJohn45

Answers

  • Michael Ferrante-Oracle
    Michael Ferrante-Oracle Senior Principal Product Manager USMember Posts: 7,392 Employee
    edited Sep 19, 2022 12:45PM

    If by "iDS 10g" you are referring to version 10.1.2 and not an earlier version then simply start OC4J and open a browser and provide a proper URL. Because you are on Windows, shortcuts to start/stop OC4J are provided under "Start" > "Programs"

    Are you are that all the software you mentioned was desupported many years ago? Is there some reason you are not using current versions?


    Michael Ferrante

    Senior Principal Product Manager

    Oracle

    Twitter: @OracleFormsPM

  • SmithJohn45
    SmithJohn45 Member Posts: 697 Silver Badge

    thanks @Michael Ferrante-Oracle for reply.

    this old version is client's requirement.

    yes, using version 10.1.2.


    the url: http://frmserver:8889/forms/frmservlet?config=main

    [main]
    pageTitle=K2L
    workingDirectory=F:\PRL10g\PAYROLL
    userid=payroll/[email protected]
    width=100%
    height=100%
    form=F:\PRL10g\PAYROLL\PRL_LOGIN.fmx
    baseHTMLJInitiator=basejpi.htm
    FORMS_RESTRICT_ENTER_QUERY=FALSE
    WebUtilArchive=frmwebutil.jar,jacob.jar
    WebUtilLogging=off
    WebUtilLoggingDetail=normal
    WebUtilErrorMode=Alert
    WebUtilDispatchMonitorInterval=5
    WebUtilTrustInternal=true
    WebUtilMaxTransferSize=16384
    baseHTMLjinitiator=webutiljini.htm
    baseHTMLjpi=webutiljpi.htm
    archive_jini=frmall_jinit.jar
    archive=frmall.jar,icons.jar,frmwebutil.jar,jacob.jar
    lookAndFeel=oracle
    

    regards

  • Michael Ferrante-Oracle
    Michael Ferrante-Oracle Senior Principal Product Manager USMember Posts: 7,392 Employee

    10.1.2.0.2? The installation isn't even patched. This is not a good plan. It is very important to ensure you are always at least running the latest patched version of the software you use. This will help to ensure everything is working properly, but also ensure the highest degree of security can be achieved.


    Michael Ferrante

    Senior Principal Product Manager

    Oracle

    Twitter: @OracleFormsPM

  • SmithJohn45
    SmithJohn45 Member Posts: 697 Silver Badge
    edited Sep 20, 2022 4:40AM

    @Michael Ferrante-Oracle

    thanks for your guidance... but what version i have to use instead of 10.1.2.0.2? and from where i can get it?

    may be, the problem i am facing is due to this unpatched version.

    regards

  • Michael Ferrante-Oracle
    Michael Ferrante-Oracle Senior Principal Product Manager USMember Posts: 7,392 Employee

    If for some reason you must remain on 10.1.2, which I don't recommend, then you should at least install the latest/last patch for this version. This will bring you up to 10.1.2.3.

    The patch is ID 5983622 and can only be downloaded in MyOracleSupport (https://support.oracle.com). A current Support account is required.


    Michael Ferrante

    Senior Principal Product Manager

    Oracle

    Twitter: @OracleFormsPM

    SmithJohn45
  • SmithJohn45
    SmithJohn45 Member Posts: 697 Silver Badge

    thank you. we have support. now we can get patch.

    will try this for sure.

    regards

  • SmithJohn45
    SmithJohn45 Member Posts: 697 Silver Badge

    @Michael Ferrante-Oracle

    downloaded patch which is approx 1.6 GB in size. extracted DISK1 folder on my F: drive.

    the installation folder of existing Dev Suite 10g is default

    C:\DevSuiteHome_1

    now, when i run Setup.exe from downloaded patch folder DISK1, it is not accepting above installation folder, so, how i can actually patch the existing installation? or i am missing something or doing wrong? please guide us.

    regards

  • SmithJohn45
    SmithJohn45 Member Posts: 697 Silver Badge
    edited Sep 21, 2022 8:56AM

    Ok, got it, patched now successfully... and checked version in About screen ( mis-spelled the value in Name column in Universal Installer )

    -- =======================

    but now i can't connect from within Forms Developer and not from SQLPlus environemnt, the same error raised by both. before patch it was working fine. ( i made backup b4 applying patch... thank god )

    please help, what's wrong with it now? maybe some other steps to perform.

    EDIT: was searching for this problem and now problem resolved with modifying sqlnet.ora file as below:

    actual: SQLNET.AUTHENTICATION_SERVICES= (NTS)

    modified: SQLNET.AUTHENTICATION_SERVICES= (NONE)

    is it correct way to resolve this problem?

    regards

  • Michael Ferrante-Oracle
    Michael Ferrante-Oracle Senior Principal Product Manager USMember Posts: 7,392 Employee
    edited Sep 21, 2022 12:19PM

    I cannot speak to what the right or wrong this is to solve your "problem" because you never really provided details about the problem (I assume you mean where you were unable to connect to the DB). Regardless, if you got it working, that's great.

    Unrelated to anything you have mentioned here, I did notice something in what you shared that should be corrected. In your Web Configuration I can see that you are planning to use WebUtil. It is important that when referencing JAR files you not duplicate entries.

    You share this:

    WebUtilArchive=frmwebutil.jar,jacob.jar
    . . .
    archive=frmall.jar,icons.jar,frmwebutil.jar,jacob.jar
    

    I would recommend correcting this as follows:

    WebUtilArchive=frmwebutil.jar,jacob.jar
    . . .
    archive=frmall.jar,icons.jar
    

    Hopefully, you now have it all working.


    EDIT:

    One thing I forgot to mention is that you said you were using DB-XE. This is not certified for use with Forms, although in these older versions it may seem to work. DB-Standard and EE are the only versions certified. For newer versions of Forms you likely will find that XE may expose issues and/or limitations. Since it isn't certified for use, you would not be entitled to get support if something fails to work properly. This is something to consider when you are ready to upgrade. Note your "Internet Developer Suite" license entitles you to use (as a developer) Oracle DB-EE for development and testing of your Forms (and Reports) applications. So there is no additional cost for your developers to use it.


    Michael Ferrante

    Senior Principal Product Manager

    Oracle

    Twitter: @OracleFormsPM

    SmithJohn45
  • SmithJohn45
    SmithJohn45 Member Posts: 697 Silver Badge

    @Michael Ferrante-Oracle

    thank you for your concern to guide me.

    the VM is just a development environment, so we used database 11g XE. in production they have their own.

    till this reply, everything seems working fine.

    thanks to point out the duplicate entry in my formweb.cfg file, will definitely follow your instructions.

    with kind regards :)